Update a customer name
curl --request POST \
--url https://api.metronome.com/v1/customers/{customer_id}/setName \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example, Inc."
}
'import requests
url = "https://api.metronome.com/v1/customers/{customer_id}/setName"
payload = { "name": "Example, Inc." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Example, Inc.'})
};
fetch('https://api.metronome.com/v1/customers/{customer_id}/setName', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"external_id": "team@example.com",
"ingest_aliases": [
"team@example.com"
],
"name": "Example, Inc."
}
}Customers
Update a customer name
Updates the display name for a customer record. Use this to correct customer names, update business names after rebranding, or maintain accurate customer information for invoicing and reporting. Returns the updated customer object with the new name applied immediately across all billing documents and interfaces.
POST
/
v1
/
customers
/
{customer_id}
/
setName
Update a customer name
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The customer name
The new name for the customer. This will be truncated to 160 characters if the provided name is longer.
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I